(function ($) {
    var rules = {
            chrome: { version: 34 },
            mozilla: { version: 29 },
            msie: { allow: false },
            safari: { allow: 'mobile' },
            opera: { allow: false }
        },
        rule;
        
    for (var key in rules)
    {
        rule = rules[key];
        if ($.browser[key])
        {
            if ('allow' in rule)
            {
                if (!rule.allow)
                {
                    window.location = "browser.html";
                    break;
                }
                else if (rule.allow === 'mobile' && !$.browser.mobile)
                {
                    window.location = "browser.html";
                    break;
                }
            }
            
            /*
             * Version check
             */
            if ('version' in rule && rule.version > $.browser.versionNumber)
            {
                window.location = "browser.html";
                break;
            }
        }
    }
})(jQuery);